%define _fontsdir %_datadir/fonts/ttf/korean

Name: fonts-ttf-korean
Version: 2.1
Release: alt8

Summary: Baekmuk korean fonts
Summary (ru_RU.UTF-8): Корейские шрифты Baekmuk
License: GPL
Group: System/Fonts/True type
Url: ftp://ftp.mizi.com/pub/baekmuk

Source0: baekmuk-ttf-2.1.tar.bz2
Source1: baekmuk-doc-2.1.tar.bz2
Source2: fonts-ttf-korean-fonts.alias.bz2

PreReq: fontconfig >= 2.4.2
Obsoletes: korean-fonts-ttf
Provides: korean-fonts-ttf = %version

BuildArch: noarch
BuildRequires: mkfontscale

%description
Baekmuk Korean TrueType Fonts.

%description -l ru_RU.UTF-8
Корейские TrueType шрифты Baekmuk.

%prep
%setup -q -c -a0 -a1

%install
mkdir -p %buildroot%_fontsdir
install -m644 *.ttf %buildroot%_fontsdir
bzcat %SOURCE2 > %buildroot%_fontsdir/fonts.alias

mkfontscale %buildroot%_fontsdir
ln -s fonts.scale %buildroot%_fontsdir/fonts.dir

mkdir -p %buildroot%_sysconfdir/X11/fontpath.d
ln -s ../../..%_fontsdir %buildroot%_sysconfdir/X11/fontpath.d/ttf-korean:pri=50

%post
%_bindir/fc-cache %_fontsdir ||:

%files
%doc COPYRIGHT COPYRIGHT.ks
%_sysconfdir/X11/fontpath.d/*
%_fontsdir

%changelog
* Fri Aug 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.1-alt8
- rebuild with fonts policy
- used %_sysconfdir/X11/fontpath.d, adieu chkfontpath

* Mon Jul 11 2005 Vyacheslav Dikonov <slava@altlinux.ru> 2.1-alt7
- link to encodings.dir removed, no longer requires freetype

* Thu Dec 16 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.1-alt6
- link to encodings.dir fixed

* Sat Jun 26 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.1-alt5
- %postun script fix

* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.1-alt4
- %postun script fix

* Wed Sep 03 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1-alt3
- CID support fixed

* Sun Aug 24 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1-alt2
- Changed dir
- Cleanups

* Wed May 07 2003 Stanislav Ievlev <inger@altlinux.ru> 2.1-alt1.1
- added CID support ( korean support for ghostscript )

* Wed Nov 27 2002 Vyacheslav Dikonov <slava@altlinux.ru> 2.1-alt1
- ALTLinux build
